List monitors
curl --request GET \
--url https://api.bigdata.com/v1/search-monitoring/monitors \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/v1/search-monitoring/monitors"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/v1/search-monitoring/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "6af74cb7-0a6e-4ea0-8421-acde4c85e56a",
"name": "Credit Rating Downgrade or Negative Watch",
"intent": "Watch for rating downgrades and negative watch placements",
"status": "active",
"created_at": "2026-08-26T09:30:00Z"
},
{
"id": "f44cfb70-08a8-46b7-95b9-acde63d228b4",
"name": "M&A Activity Monitor",
"intent": "Track announced acquisitions and material deal-status changes",
"status": "active",
"created_at": "2026-08-25T14:10:00Z"
},
{
"id": "350393ec-8678-495c-804b-acde4eb32445",
"name": "Central Bank Policy Rate Decisions & Forward Guidance",
"intent": "Track policy rate decisions and changes in forward guidance",
"status": "inactive",
"created_at": "2026-08-25T11:45:00Z"
}
],
"pagination": {
"has_cursor": false
},
"metadata": {
"request_id": "req_01J6C69Y4D5J7M2P47X1N9V5C8",
"timestamp": "2026-08-28T08:12:15Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Monitors
List monitors
View your monitors. Filter the list by status, name, or the development each monitor is designed to track.
GET
/
v1
/
search-monitoring
/
monitors
List monitors
Authorizations
API key created in the Bigdata Developer Platform.
Query Parameters
Filter by monitor status.
active runs on schedule. inactive keeps its configuration but does not start new scheduled runs.
Available options:
active, inactive Filter by monitor name using a case-insensitive substring match.
Filter by monitor intent using a case-insensitive substring match.
Maximum number of monitors to return.
Required range:
x >= 1Was this page helpful?